BEGIN CIFLIRT
APPEND ~CORANJ~

IF WEIGHT #-2 ~
Global("CoSunrise","GLOBAL",1)~ THEN BEGIN CoSunrise
SAY ~*You open your eyes. The dawn is nearing, but the sky above you is still dark, and dotted with a myriad of shining stars. The air is laden with sleepy calm. For a moment you lay, listening to the silence and wondering what had woken you.. A strange foreboding...not the one of the foes coming from the darkness, or the restless dreams of late, but a feeling that something wonderful is afoot, and you will be a fool to sleep though it. On the nights like this Magical Weave of Toril seems to be as tangible as your own body. Not a sound touches the forest canopy.*~
= ~*Finally, a peculiar spot of light beyond the hanging branches of the great tree, under which you had settled for the night, attracts your attention. You push the dark foliage aside and see a statue of an elf, where there was none before. It moves...and you suddenly recognize Coran. His smooth skin took on a silvery hue in the soft glow of the starlight, the same as the sparkling dew on the dark grass, where his bare feet left no trail.*~
= ~*As the stars fade, Coran dances alone. It is an ancient dance, both overt and taxing. He arches backward, as nimble and naked as only an elf could be in the night. He touches the grass just barely, with his fingers. The muscles strain and relax as Coran rises - a rippling wave on the river water. In a fluid and rapid move his left leg and two arms stretch upward, and join in a tight bud above his head. The elf's knee presses against his face. The bud opens and two slender arms extend toward the sky. The night is the elf’s lover, and he embraces it, before kneeling.*~
= ~*Slowly Coran lifts himself on tip-toe and stretches upward. His calves bulge from the effort, but the movement is as natural as the swaying of the reeds. The unheard song pushes him along and, as if barely containing himself, Coran dances in small steps, then breaks free and runs. Three times he stops, each time for an ever more passionate and long fuette. He is the wind, the cruel wind, that blows away the mists of the night. Then he is a bud again. Waving gracefully with his torso as the song’s pre-dawn wind blows, he opens up to the sun. To the real sun...for the first pale-green light invades the sky.*~
= ~*Coran breathes deeply and throws the dark ringlets away from his eyes tiredly. But he smiles as a dancer always should...even if none watches him. Suddenly you realize that he had noticed you long ago, and that this wide, content smile is directed at you. His excitement, perhaps is only partially due to the passionate dance, and the night might not have been the lover, that the elf desired.*~
++ ~*You blush and hide.* ~ EXIT
++ ~*You smile back at Coran and return to your bedroll with your head full of memories.* ~ EXIT
++ ~ *You lower your eyes and cough uncomfortably... *~ EXIT
++ ~ *You whisper* It was just a dream... *and as on a cue, Coran gathers his clothes from the ground and walks away.*~ EXIT
++ ~ *You walk boldly toward Coran and as the sun rises, you two greet it with the most ancient dance of all.*~ + CoSunrise1
END 

IF ~~ THEN BEGIN CoSunrise1
SAY ~ *Your lover's body is sparkling with the morning dew and his mouth covers yours, every time you are about to moan with pleasure. Not a sound touches the forest canopy...until the morning birds wake and fill the air with what now feels to you as an impossible racket. Coran leaves you and lies on the grass repeating your name. You loved each other for mere minutes, and it all could have been a dream, except that your body still trembles with the memory of the urgent passion of the lovemaking.*~
IF ~~ THEN DO ~SetGlobal("CoranLover", "GLOBAL",1) SetGlobal("CoranRomancePath","GLOBAL",2)~  EXIT
END

IF WEIGHT #-2 ~
Global("CoNight","GLOBAL",1)~ THEN BEGIN CoNight
SAY ~*The canpfire’s flames dwindled until there was naught but black ashes left with ruby-red splashes here and there. The conversation died down and one by one your companions retired to their bedrolls. Coran was watching you all night, from under his long lashes; smiling warmly each time your eyes met.*~
= ~ *As you move to rise and follow their suit, Coran quickly gets up to his feet and walks over to you.*~
= ~*Encouraging you to sit back on the ground, he wraps a blanket around your shoulders and explains* ~
= ~I have noticed a nightingale in the bushes.  Stay with me, sweetling, let us listen for a while.~
= ~*For a few moments you huddle together in silence, Coran's arms laying comfortably about you. Then, as if on command, the bird starts to sing. As the ringing notes blend into a sweet tune, Coran nuzzles your neck and covers it with fleeting kisses.*~
++ ~*You raise abruptly, freeing yourself from Coran's embrace and walk away.*~ DO ~SetGlobal("CoNight","GLOBAL",2) RestParty()~ EXIT
++ ~*You let Coran kiss you while the bird's song lasts and then go to sleep, dizzied by the experience.*~ DO ~RestParty() SetGlobal("CoNight","GLOBAL",2)~ EXIT
++ ~*You arch back, freeing yourself from the blankets.*~ DO ~RestParty() SetGlobal("CoNight","GLOBAL",2)~ + CoNight1
END

IF ~~ THEN BEGIN CoNight1
 SAY ~*Coran gently traces a hot line down your neck with his tongue, while his nimble fingers undo the laces of your garment, skillfully baring you to the waist.  The elf's teasing mouth wanders even lower, his lips and hands eagerly exploring the uncharted territory. He pinches your skin gently with his teeth, when the nightingale's voice grows louder then his velvet lips barely touch you.  The invisible singer launches into throaty chirping between the silvery chimes. The caresses and the bird's song becomes a perfect harmony.*~
IF ~~ THEN DO ~RestParty()~ EXIT
END

IF WEIGHT #-2 ~
Global("CoRain","GLOBAL",2)~ THEN BEGIN CoRain
SAY ~*The rain and the mist color the world in gray. The air, the grass, the trees, the ground and yourself - all are soaked through, it seems. Coran appears by your side, a mischievous grin on his face.*~
= ~Let me teach you to hide between the mist...~
= ~*He motions for you to stop, and steps closer to you.*~
= ~The secret,is to stand very still.~
= ~*And so you do, listening to the murmuring water. A small rivulet descends from Coran's high brow down his cheek and he catches it with a quick motion of his tongue.*~
= ~*He says quetly* We are hidden from everyone's eyes~
++ ~*You start trembling with cold, and tell Coran to get moving.*~ EXIT
++ ~*You lift your face and close your eyes. The water pours on your face...*~ + CoRain1
++ ~*You approach Coran, so that your bodies almost touch and mouth soundlessly* 'Warm me up...'~ + CoRain2
END

IF ~~ THEN BEGIN CoRain1
SAY ~*When you open your eyes again, Coran is watching hungrily as the water disappears under the collar of your cloak. You guess that tonight you will share your blankets with a very passionate lover.*~
IF ~~ THEN EXIT
END
 
IF ~~ THEN BEGIN CoRain2
SAY ~*Coran presses you tightly against his body, then cups your face with his palms. As the heat of his body starts reaching you through the woolens, Coran lowers his face to yours.  He gently touches your lips with his tongue, praying for them to open. As your lips part, it finds its way down, pulsing in your mouth, echoing the motions of Coran's hips. A wonderful feeling of warmth starts in the very depth of your being, in the same way that stroking two flints against each other kindles the fire.*~
IF ~~ THEN EXIT
END

IF WEIGHT #-2 ~
Global("CoInn","GLOBAL",1)~ THEN BEGIN CoInn
SAY ~*The tiny room is just too stuffy to fall asleep. Perhaps, the owners of the countless cheap inns across the Sword Coast, belong to an organization more secretive than the Coweled Wizards.  Each vowed to suffocate their customers. Coran must have the same feeling, for he releases you from his embrace and gets up from the bed you share.*~
= ~*He pushes the window open and sticks his head out, taking great pleasure in the warm, salty wind of Baldur's Gate that rushes into the room. Satisfied, Coran steps back from the window and pulls off his shirt.*~
= ~*The wind plays with his hair, brushing disarrayed strands against his bare shoulders. Coran walks towards the bed and lifts you from the blankets with ease. The elf carries you toward the window and gently sits you on the sill.*~
= ~*The image of your silhouette against the moonlit square of the window causes Coran to swallow hard.  His eyes follow the curves, with his gaze lingering where the playful wind pulled the thin fabric of your garment tight against your body.*~
= ~*Coran reaches for you, caressing your flesh through the whsipy fabric, and explains in a low voice...* ~
= ~Too beautiful, too beautiful to simply watch...~
IF ~~ THEN DO ~RestParty() SetGlobal("CoInn","GLOBAL",2)~ EXIT
END

IF WEIGHT #-2 ~
Global("CorBhaal","GLOBAL",1)~ THEN BEGIN CoBaahl
SAY ~ <CHARNAME>, you step out of a bloodbath on the carpet of rose hips, naked and tender. Your foe’s blood could be flower petals clinging to your body enviously, or a sensual pattern drawn in henna dye by a frivolous hand, or claret spilled in abandon, enticing a thirsty mouth to drink of it...~ [CORANB]
IF ~~ THEN REPLY ~Coran, are you feverish? I bathed not...yet. Moreover, in blood.~ GOTO  COBH1.1
IF ~~ THEN REPLY ~Stop it, you are scaring me!~ GOTO COBH1.2
IF ~~ THEN REPLY ~What...what are you talking about?~ GOTO COBH1.1
IF ~!InParty("ELDOTH")~ THEN REPLY ~Have you listened to some grim bard? The one who sings that love and death are two sides of the same coin?~ GOTO COBH1.4
IF ~InParty("ELDOTH")~ THEN REPLY ~I see that the song Eldoth sang yestereve, glancing at you and me ever so suggestively, touched your heart.~ GOTO COBH1.4
IF ~~ THEN REPLY ~*Quietly* That is how you imagine me now? For many years I puzzled over my true heritage. Now, knowing it, I wish that I did not.~  GOTO COBH1.5
END

IF ~~ THEN BEGIN COBH1.1
SAY ~It was a metaphor. I alluded to the slaughter of those who oppose you that we engage in daily.~
IF ~~ THEN REPLY ~Oh? Well, very elaborate.~ GOTO COBH1.6
IF ~~ THEN REPLY ~Metaphor? *Quietly* That is how you imagine me now? For many years I puzzled over my true heritage. Now, knowing it, I wish that I did not.~ GOTO COBH1.5
IF ~~ THEN REPLY ~Are you trying to tell me, that kissing a heiresses to the Lord of Murder is titillating?~ GOTO COBH1.4
END

IF ~~ THEN BEGIN COBH1.2
SAY ~And what you are, makes me fearful, and yet attracts me.~
= ~ Your passionate nature, I have enjoyed so, is now taking a new meaning, a dangerous one. Each of it alone, would plunge me into a liaison, but the two combined... My head spins, as it is about to take flight, and my heart pounds nearly breaking within my chest when I think of you like this...~
IF ~~ THEN GOTO COBH1.3
END

IF ~~ THEN BEGIN COBH1.3
SAY ~ Hanali Celanil teaches us that love is warm and golden. From you, my woman, another passion, dark and red cometh, and dizzies a man.~
IF ~~ THEN REPLY ~I...I’d rather have it warm and golden.~ GOTO COBH1.8
IF ~~ THEN REPLY ~You sound insane, Coran, and that gleam in your eyes puts me ill at ease.~ GOTO COBH1.4
IF ~~ THEN REPLY ~What have you done to the lighthearted Coran I cherished, monster?~ GOTO COBH1.7
IF ~~ THEN REPLY ~*Sigh* Whatever.~ EXIT
END

IF ~~ THEN BEGIN COBH1.4
SAY ~I never saw anyone in whom love and death are so intermingled, and so...seductive. Carnage turns into a thrill in your presence. You have shown me the new meaning of love, which, I but guessed at previously. When I loved the strongest, I found myself on the brink of death, almost in pain from pleasure. Now I know why.~
IF ~~ THEN REPLY ~ I do not think I like the idea overly much. I was always dreaming of tender and happy kind of love.~ GOTO COBH1.8
IF ~~ THEN REPLY ~ You sound insane, Coran, and that gleam in your eyes puts me ill at ease.~ GOTO COBH1.4
IF ~~ THEN REPLY ~ What have you done to the lighthearted Coran I cherished, monster?~ GOTO COBH1.7
IF ~~ THEN REPLY ~ *Sigh* Whatever.~ EXIT
END

IF ~~ THEN BEGIN COBH1.5
SAY ~Yet you cannot unlearn it, and moreover, you cannot stop being who you are. ~
IF ~~ THEN GOTO COBH1.4
END

IF ~~ THEN BEGIN  COBH1.6
SAY ~Ah, the passions in you rarely find an exodus in words. But the way you love...~
IF ~~ THEN GOTO COBH1.3
END

IF ~~ THEN BEGIN COBH1.7
SAY ~ You devoured him, sweetling, and the specter, which stands before you is over taken by new passions you have sparked in him.~
IF ~~ THEN REPLY ~I turned you into a monster! No, my accursed Sire did! And I thought, that being an orphan, I have the advantage of relatives not interfering with my love life!~ EXIT
IF ~~ THEN REPLY ~I will fight to change you back, Coran. I do not want an obsessive lover. I want a tender beloved who lives through my kisses, not dies drinking them in.~ GOTO COBH1.8
IF ~CheckStatLT(Player1, 12, INT)~ THEN REPLY ~I would be damned if I understood a word of what you were saying!~ GOTO COBH1.9
IF ~~ THEN REPLY ~I think it’s one of your "moods". I hope that this new emotional toy will be forgotten in a week.~ GOTO COBH1.10
END

IF ~~ THEN BEGIN COBH1.8
SAY~ Soft and sweet love is attractive, especially to the ones who have loved little before. If you try to love me like that, I will accept it. But I would be swept away if you’d stop controlling your nature.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN COBH1.9
SAY~ Is that so, sweetling? Your poor head is not catching up to the happenings, as fast as your sword hand does then. No matter. Your blood will understand what I was saying in time. ~
IF ~~ THEN EXIT
END 

IF ~~ THEN BEGIN COBH1.10
SAY~I do not know the future, sweetling. Neither do you. Let us just see it through. ~
IF ~~ THEN EXIT
END
END
